Index: vorbis-tools/libao/ao_oss.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/ao_oss.c,v
retrieving revision 1.1
diff -u -r1.1 ao_oss.c
--- vorbis-tools/libao/ao_oss.c	2000/07/22 01:57:05	1.1
+++ vorbis-tools/libao/ao_oss.c	2000/08/19 19:07:32
@@ -30,7 +30,7 @@
 #include <unistd.h>
 #include <fcntl.h>
 #include <math.h>
-#if defined(__OpenBSD__)
+#if defined(__OpenBSD__) || defined(__NetBSD__)
 #include <soundcard.h>
 #elif defined(__FreeBSD__)
 #include <machine/soundcard.h>
Index: vorbis-tools/libao/configure
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/configure,v
retrieving revision 1.4
diff -u -r1.4 configure
--- vorbis-tools/libao/configure	2000/08/19 09:41:04	1.4
+++ vorbis-tools/libao/configure	2000/08/19 19:07:32
@@ -1364,10 +1364,54 @@
 has_solaris=no
 has_esd=no
 has_alsa=no
+need_libossaudio=no
 
+echo $ac_n "checking for main in -lossaudio""... $ac_c" 1>&6
+echo "configure:1371: checking for main in -lossaudio" >&5
+ac_lib_var=`echo ossaudio'_'main | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lossaudio  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 1379 "configure"
+#include "confdefs.h"
+
+int main() {
+main()
+; return 0; }
+EOF
+if { (eval echo configure:1386: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  has_libossaudio=yes
+else
+  echo "$ac_t""no" 1>&6
+has_libossaudio=no
+fi
+
+
 case $host in
-        *-*-linux*|*-openbsd*|*-freebsd*|*-netbsd*)
+        *-*-linux*|*-openbsd*|*-freebsd*)
 		has_oss=yes;;
+	*-netbsd*)
+		if test has_libossaudio = "yes"; then
+			has_oss=yes
+			need_libossaudio=yes
+		fi;;
         *-irix*)
 		has_irix=yes;;
         *-solaris*)
@@ -1375,7 +1419,7 @@
 esac
 
 echo $ac_n "checking for esd_play_stream in -lesd""... $ac_c" 1>&6
-echo "configure:1379: checking for esd_play_stream in -lesd" >&5
+echo "configure:1423: checking for esd_play_stream in -lesd" >&5
 ac_lib_var=`echo esd'_'esd_play_stream | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1383,7 +1427,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lesd  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1387 "configure"
+#line 1431 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1394,7 +1438,7 @@
 esd_play_stream()
 ; return 0; }
 EOF
-if { (eval echo configure:1398: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1442: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1415,7 +1459,7 @@
 fi
 
 echo $ac_n "checking for snd_pcm_open in -lasound""... $ac_c" 1>&6
-echo "configure:1419: checking for snd_pcm_open in -lasound" >&5
+echo "configure:1463: checking for snd_pcm_open in -lasound" >&5
 ac_lib_var=`echo asound'_'snd_pcm_open | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1423,7 +1467,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lasound  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1427 "configure"
+#line 1471 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -1434,7 +1478,7 @@
 snd_pcm_open()
 ; return 0; }
 EOF
-if { (eval echo configure:1438: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1482: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -1458,18 +1502,21 @@
 
 
 echo $ac_n "checking "whether to compile OSS driver"""... $ac_c" 1>&6
-echo "configure:1462: checking "whether to compile OSS driver"" >&5
+echo "configure:1506: checking "whether to compile OSS driver"" >&5
 if test $enable_oss = "yes" && test $has_oss = "yes"; then
 	echo "$ac_t"""yes"" 1>&6
 	LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
 	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS"
+	if test need_libossaudio = yes; then
+		LIBAO_LIBS="$LIBAO_LIBS -lossaudio"
+	fi
 	ao_default=oss
 else
 	echo "$ac_t"""no"" 1>&6
 fi
 
 echo $ac_n "checking "whether to compile IRIX driver"""... $ac_c" 1>&6
-echo "configure:1473: checking "whether to compile IRIX driver"" >&5
+echo "configure:1520: checking "whether to compile IRIX driver"" >&5
 if test $enable_irix = "yes" && test $has_irix = "yes"; then
 	echo "$ac_t"""yes"" 1>&6
 	LIBAO_OBJS="$LIBAO_OBJS ao_irix.o"
@@ -1480,7 +1527,7 @@
 fi
 
 echo $ac_n "checking "whether to compile Solaris driver"""... $ac_c" 1>&6
-echo "configure:1484: checking "whether to compile Solaris driver"" >&5
+echo "configure:1531: checking "whether to compile Solaris driver"" >&5
 if test $enable_solaris = "yes" && test $has_solaris = "yes"; then
 	LIBAO_OBJS="$LIBAO_OBJS ao_solaris.o"
 	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_SOLARIS"
@@ -1490,7 +1537,7 @@
 fi
 
 echo $ac_n "checking "whether to compile ESD driver"""... $ac_c" 1>&6
-echo "configure:1494: checking "whether to compile ESD driver"" >&5
+echo "configure:1541: checking "whether to compile ESD driver"" >&5
 if test $enable_esd = "yes" && test $has_esd = "yes"; then
 	echo "$ac_t"""yes"" 1>&6
 	LIBAO_LIBS="$LIBAO_LIBS -lesd"
@@ -1501,7 +1548,7 @@
 fi
 
 echo $ac_n "checking "whether to compile ALSA driver"""... $ac_c" 1>&6
-echo "configure:1505: checking "whether to compile ALSA driver"" >&5
+echo "configure:1552: checking "whether to compile ALSA driver"" >&5
 if test $enable_alsa = "yes" && test $has_alsa = "yes"; then
 	echo "$ac_t"""yes"" 1>&6
 	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_ALSA"
Index: vorbis-tools/libao/configure.in
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/libao/configure.in,v
retrieving revision 1.4
diff -u -r1.4 configure.in
--- vorbis-tools/libao/configure.in	2000/08/19 09:41:04	1.4
+++ vorbis-tools/libao/configure.in	2000/08/19 19:07:32
@@ -106,11 +106,19 @@
 has_solaris=no
 has_esd=no
 has_alsa=no
+need_libossaudio=no
 
 dnl -- Detect possible output devices --
+AC_CHECK_LIB(ossaudio, main, has_libossaudio=yes, has_libossaudio=no)
+
 case $host in
-        *-*-linux*|*-openbsd*|*-freebsd*|*-netbsd*)
+        *-*-linux*|*-openbsd*|*-freebsd*)
 		has_oss=yes;;
+	*-netbsd*)
+		if test has_libossaudio = "yes"; then
+			has_oss=yes
+			need_libossaudio=yes
+		fi;;
         *-irix*)
 		has_irix=yes;;
         *-solaris*)
@@ -127,6 +135,9 @@
 	AC_MSG_RESULT("yes")
 	LIBAO_OBJS="$LIBAO_OBJS ao_oss.o"
 	LIBAO_FLAGS="$LIBAO_FLAGS -DAO_COMPILE_OSS"
+	if test need_libossaudio = yes; then
+		LIBAO_LIBS="$LIBAO_LIBS -lossaudio"
+	fi
 	ao_default=oss
 else
 	AC_MSG_RESULT("no")
